#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Net
%define		pnam	CIDR-Lite
Summary:	Net::CIDR::Lite - parse, manipulate and lookup IP network blocks
Summary(pl.UTF-8):	Net::CIDR::Lite - analiza, przetwarzanie i wyszukiwanie bloków sieci IP
Name:		perl-Net-CIDR-Lite
Version:	0.21
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	12280b3754886b876918f03f53aee4f5
URL:		https://metacpan.org/release/Net-CIDR-Lite
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::CIDR::Lite parses and understands IPv4 CIDR blocks.

%description -l pl.UTF-8
Moduł Net::CIDR::Lite analizuje bloki CIDR IPv4.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Net/CIDR
%{perl_vendorlib}/Net/CIDR/Lite.pm
%{_mandir}/man3/Net::CIDR::Lite.3pm*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-CIDR-Lite.git;a=log;h=master

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> cb41c1a
- updated URL, BR for macros.perl always included

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 44faa79
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> d6a99bd
- up to 0.21

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 090d46d
- release 2

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 30fd4a4
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5475fd1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 837dfbd
- converted to UTF-8

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> a40982c
- up to 0.20 rel 1, builds here

* Mon Oct 17 2005 hawk <hawk@pld-linux.org> 10b9afa
- release 3 (2 went to Ra)

* Mon May 30 2005 petec <petec@pld-linux.org> 04ef766
- up to 0.18

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 36e72f9
- formatting

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> 7b1b34e
- license fixes and unification

* Thu Jan 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 465d8c2
- pl, tests, missing dir

* Mon Jan 12 2004 aredridel <aredridel@pld-linux.org> 52986d2
- added

